Bug 845182 - [abrt] ibus-libpinyin-1.4.1-4.fc17: __GI_raise: Process /usr/libexec/ibus-engine-libpinyin was killed by signal 6 (SIGABRT)
[abrt] ibus-libpinyin-1.4.1-4.fc17: __GI_raise: Process /usr/libexec/ibus-eng...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ibus-libpinyin (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peng Wu
Fedora Extras Quality Assurance
abrt_hash:acb6eef46a8405da6290c4df632...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 03:04 EDT by tewilove
Modified: 2012-10-17 23:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 23:18:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (14.02 KB, text/plain)
2012-08-02 03:05 EDT, tewilove
no flags Details
File: backtrace (14.69 KB, text/plain)
2012-08-02 03:05 EDT, tewilove
no flags Details

  None (edit)
Description tewilove 2012-08-02 03:04:58 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-engine-libpinyin --ibus
crash_function: __GI_raise
executable:     /usr/libexec/ibus-engine-libpinyin
kernel:         3.4.6-2.fc17.x86_64
pid:            2663
pwd:            /tmp
time:           Thu 02 Aug 2012 03:00:04 PM CST
uid:            1000
username:       akira
var_log_messages: Aug  2 15:00:04 localhost abrt[10702]: Saved core dump of pid 2663 (/usr/libexec/ibus-engine-libpinyin) to /var/spool/abrt/ccpp-2012-08-02-15:00:04-2663 (31059968 bytes)

backtrace:      Text file, 15046 bytes
maps:           Text file, 14353 bytes

build_ids:
:d8167f71e1e2d0ac457d9237f4695816ec2456d0
:7f239fe0adb2a44bb2eae7cb97ce0c0d97556388
:f69712fe393313f44607679e934bf5a67f39ec50
:6086bff484a49cc8b80cb714d7e83a6391394800
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:f4c064df8745dff15466d705fb049138f9a5c949
:6668de624a10d486a3484d5b4921f87b1e77d36c
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:fb86c3a448f22bd68843d5aa0b35e74d20629e85
:67792c148d2b8f13f6732c9367e926c26d7376c5
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:a553a7e9625a224a8f39286909adc17787ad51bd
:b26a3acffde6a14576fe8b9bb2b73ff461f310b6
:822e9b3523e8312240f41a25722d539bc77ed436
:2f621b191497844876b8b92cec2f2332ec3575ad
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9e6594e38d36f94f5e02c90731970f1c72396147
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5
:7c35310fc506498c612d5d982ab03becc4b4817c
:929d271f51370434d6e9f63b74694fb424470462
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:ce6de1e51d5e309841919aa708cce77455b42380
:365970e3dc0d6323d5b7de1f68bbdfc164ac5907
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:8c083e0f61deb55917e5c7b193fe4d000a7375f1
:726a299098b7695fc69d788f6b19468810c1ba6e
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/akira/1

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 __GI_raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 __GI_abort libc.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x60bed __gnu_cxx::__verbose_terminate_handler libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ecf6 __cxxabiv1::__terminate libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ed23 std::terminate libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x5ef4e __cxxabiv1::__cxa_throw libstdc++.so.6 -
:516204cfc31148538d56b21e2f1b945ed50127d4 0xb1e7d std::__throw_out_of_range libstdc++.so.6 -
:7f239fe0adb2a44bb2eae7cb97ce0c0d97556388 0x12ded - [exe] -
:7f239fe0adb2a44bb2eae7cb97ce0c0d97556388 0x132cf - [exe] -
:7f239fe0adb2a44bb2eae7cb97ce0c0d97556388 0x15fe3 - [exe] -
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b 0xe46d - libibus-1.0.so.5 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20450 signal_emit_unlocked_R libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:d0ff5c635b9991ff9c996523d2a8eefbabe0bf5b 0x138d4 - libibus-1.0.so.5 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0xba535 call_in_idle_cb libgio-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_dispatch libglib-2.0.so.0 -

dso_list:
:/usr/lib64/libgobject-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343096335
:/usr/lib64/libsqlite3.so.0.8.6 sqlite-3.7.11-3.fc17.x86_64 (Fedora Project) 1339409417
:/usr/lib64/libgio-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343096335
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-2.fc17.x86_64 (Fedora Project) 1337719199
:/usr/lib64/libgmodule-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343096335
:/usr/lib64/libglib-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343096335
:/usr/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libpinyin.so.2.0.0 libpinyin-0.6.92-2.fc17.x86_64 (Fedora Project) 1343096438
:/usr/lib64/libm-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343096326
:/usr/lib64/libnss_files-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343096326
:/usr/libexec/ibus-engine-libpinyin ibus-libpinyin-1.4.1-4.fc17.x86_64 (Fedora Project) 1343096766
:/usr/lib64/libopencc.so.1.0.0 opencc-0.3.0-1.fc17.x86_64 (Fedora Project) 1337719234
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-7.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libdl-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343096326
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719242
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.12.3-1.fc17.x86_64 (Fedora Project) 1337719242
:/usr/lib64/libpthread-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343096326
:/usr/lib64/libuuid.so.1.3.0 libuuid-2.21.2-2.fc17.x86_64 (Fedora Project) 1341453550
:/usr/lib64/libutil-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343096326
:/usr/lib64/libc-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343096326
:/usr/lib64/libselinux.so.1 libselinux-2.1.10-3.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libbluray.so.1.1.0 libbluray-0.2.2-1.fc17.x86_64 (Fedora Project) 1337719218
:/usr/lib64/liblua-5.1.so lua-5.1.4-10.fc17.x86_64 (Fedora Project) 1337719201
:/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib/locale/locale-archive glibc-common-2.15-51.fc17.x86_64 (Fedora Project) 1343096317
:/usr/lib64/libgthread-2.0.so.0.3200.4 glib2-2.32.4-1.fc17.x86_64 (Fedora Project) 1343096335
:/usr/lib64/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.x86_64 (Fedora Project) 1337719189
:/usr/lib64/libibus-1.0.so.5.0.499 ibus-libs-1.4.99.20120712-1.fc17.x86_64 (Fedora Project) 1343653822
:/usr/lib64/librt-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343096326
:/usr/lib64/libresolv-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343096326
:/usr/lib64/ld-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1343096326
:/usr/lib64/libdb-4.8.so db4-4.8.30-10.fc17.x86_64 (Fedora Project) 1337719201

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-myvClXiY6i,guid=3358db969cd8711deb5e3cbb00000022
:PREFERRED=/usr/bin/startlxde
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/akira
:DESKTOP_SESSION=/usr/bin/startlxde
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin
:XDG_VTNR=1
:XDG_SESSION_ID=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-myvClXiY6i,guid=3358db969cd8711deb5e3cbb00000022
:XDG_SEAT=seat0
:XAUTHORITY=/home/akira/.Xauthority
:USER=akira
:DBUS_STARTER_BUS_TYPE=session
:SYSFONT=True
:GNOME_KEYRING_PID=834
:SHLVL=1
:PWD=/home/akira
:BOOT_IMAGE=/vmlinuz-3.4.6-2.fc17.x86_64
:GNOME_KEYRING_CONTROL=/home/akira/.cache/keyring-OaTIkY
:LANG=en_US.UTF-8
:_=/bin/dbus-launch
:LOGNAME=akira
:HOME=/home/akira
:KEYTABLE=us
:LC_CTYPE=en_US.UTF-8
:GTK_IM_MODULE=ibus
:QT_IM_MODULE=xim
:XMODIFIERS=@im=ibus

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 28869                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       28869                28869                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/dev/null
:pos:	0
:flags:	0100001
:3:socket:[57041]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:inotify
:pos:	0
:flags:	02004000
:6:socket:[57042]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:/usr/share/libpinyin/data/bigram.db
:pos:	0
:flags:	02100000
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:/usr/share/ibus-libpinyin/db/english.db
:pos:	1024
:flags:	02100000
Comment 1 tewilove 2012-08-02 03:05:04 EDT
Created attachment 601876 [details]
File: maps
Comment 2 tewilove 2012-08-02 03:05:08 EDT
Created attachment 601877 [details]
File: backtrace
Comment 3 Peng Wu 2012-10-17 23:18:59 EDT
As many code re-factors are landed in libpinyin 0.7.92, I just close this bug for now. Feel free to file new bugs, if you still en-counter it in libpinyin 0.7.92 or later version.

Note You need to log in before you can comment on or make changes to this bug.